Subject: bug#78205: [PATCH] Recenter for the calendar

From: Manuel Giraud <[email-masked]>
Date: Mon, 05 May 2025 20:07:11 +0200

Juri Linkov <[email-masked]> writes:

>> Something else: I wonder (I hope this would not be too radical, but):
>> have you thought about making the mouse wheel scroll the months as well?
>> Scrolling with the wheel is not useful in the calendar buffer window
>> anyway (*1), and it would fit nicely with your C-l patch.
>
> Scrolling the months with the mouse wheel would be very much appreciated.
>
> In a normal buffer <wheel-up/down> scroll vertically, and S-<wheel-up/down>
> horizontally.  In the calendar the vertical scrolling could move by 3 months,
> and horizontal by 1 month.

As I said, I'm not a heavy mouse wheel user but I think it would be
better to scroll by one month with a simple <wheel-up/down> ans by three
month with S-<wheel-up/down>, no?

> Or something like this.  Also M-<wheel-up/down> could support
> different increments.

It seems that this binding is already used for zooming.
-- 
Manuel Giraud